"use strict";

/*

su-extensions/goatcounter/goatcounter.js

Implementation of GoatCounter.com. See extension.js for details.

*/

function ScGoatCounter()
{
	this.process = function()
	{
		process_();
	}

	this.disable = function()
	{
		disable_();
	}

	this.enable = function()
	{
		enable_();
	}
	
	var enabled_ = false;
	
	function process_()
	{
		if( typeof( SC_GOATCOUNTER_ENABLE ) == "undefined" )
		{
			console.log( "GoatCounter disabled due to lack of definition..." );
			return;
		}
		
		if( SC_GOATCOUNTER_ENABLE == false )
		{
			console.log( "GoatCounter disabled by site config" );
			return;
		}
		
		if( localStorage.getItem( "sc_goatCounterDisable" ) == "true" )
		{
			console.log( "GoatCounter disabled by local storage" );
			return;
		}

		console.log( "Stats enabled" );

		var script = document.createElement( "script" );
		script.setAttribute( "data-goatcounter", SC_GOATCOUNTER_ID );
		script.src = "//gc.zgo.at/count.js";
		document.head.appendChild( script );
	}

	function disable_()
	{
		localStorage.setItem( "sc_goatCounterDisable", "true" );
	}

	function enable_()
	{
		localStorage.removeItem( "sc_goatCounterDisable" );
	}

	Object.seal( this );
}

var scGoatCounter = new ScGoatCounter();